/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on October 30, 2019, 9:39 PM
 */
//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "Lcd4.h"
#include "DS3234_RTC.h"
//------------------------------------------------------------------------------
char strOut[20];  
char tm[7] = {0,10,16,2,4,5,20}; //Sec,Min,Hour,WDay,MDay,Month,Year
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{ 
  LCD_init();
  DS3234_init();
  
  //DS3234_setTime(tm);       //Uncomment to set time as needed
  
  while(1)
  {
   DS3234_getTime(tm);
    
   sprintf(strOut,"Time:%s",get_fullTimeStr(tm));      //Time
   LCD_string(0,0,strOut);
   
   sprintf(strOut,"Date:%s",get_fullDateStr(tm));      //Date
   LCD_string(1,0,strOut);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------